[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStreamAdapter.Create

Create a new instance of TStreamAdapter

## Declaration

Source position: classesh.inc line 1039

`public constructor TStreamAdapter.Create(`
`Stream: TStream;`
`Ownership: TStreamOwnership = soReference`
`);`

## Description

Create creates a new instance of TStreamAdaptor. It initializes TStreamAdapter.Stream with Stream and initializes StreamOwnerShip with Ownership.

TStreamAdapter is an abstract class: descendents must be created that implement the actual functionality.

## See also

StreamOwnerShip |  | Determines what happens with the stream when the adaptor is freed
TStreamAdapter.Stream |  | Stream on which adaptor works

Documentation generated on: Feb 26 2014